Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.search.finder
Interface Find

All Known Implementing Classes:
  BasicFind, ThreadedFind

    public interface Find

Author:
  Nick Drummond, Medical Informatics Group, University of Manchester 03-Oct-2005

Nested Class Summary
`static class` | `Find.FindStatus`

Field Summary
`static int` | `CONTAINS`
`static int` | `ENDS_WITH`
`static int` | `EXACTLY_MATCHES`
`static String[]` | `searchTypeString`
`static int` | `STARTS_WITH`

Method Summary
`void` | `addResultListener(SearchListener l)`
`void` | `cancelSearch()`
`String` | `getDescription()`
`Find.FindStatus` | `getFindStatus()`
`String` | `getLastSearch()`
`OWLModel` | `getModel()`
`int` | `getNumSearchProperties()`
`int` | `getResultCount()`
`Set` | `getResultResources()`
`Map` | `getResults()` This method can be called to get the current results
`int` | `getSearchType()`
`String` | `getSummaryText()`
`boolean` | `removeResultListener(SearchListener l)`
`void` | `reset()`
`void` | `startSearch(String s)`
`void` | `startSearch(String s, int searchType)` This method should start the search.
`void` | `waitForSearchComplete()`

Field Detail

### STARTS_WITH

    static final int STARTS_WITH

See Also:
  Constant Field Values

### CONTAINS

    static final int CONTAINS

See Also:
  Constant Field Values

### ENDS_WITH

    static final int ENDS_WITH

See Also:
  Constant Field Values

### EXACTLY_MATCHES

    static final int EXACTLY_MATCHES

See Also:
  Constant Field Values

### searchTypeString

    static final String[] searchTypeString

Method Detail

### startSearch

    void startSearch(String s)

### startSearch

    void startSearch(String s,
                     int searchType)

  This method should start the search.

  Parameters:
    `s` - the string to search for
    `searchType` -

### cancelSearch

    void cancelSearch()

### getResults

    Map getResults()

  This method can be called to get the current results

  Returns:
    a map of Resources as keys with SearchResultItem objects as values

### getResultResources

    Set getResultResources()

### getResultCount

    int getResultCount()

### getLastSearch

    String getLastSearch()

### getSearchType

    int getSearchType()

### getSummaryText

    String getSummaryText()

### getDescription

    String getDescription()

### getModel

    OWLModel getModel()

### getNumSearchProperties

    int getNumSearchProperties()

### addResultListener

    void addResultListener(SearchListener l)

### removeResultListener

    boolean removeResultListener(SearchListener l)

### getFindStatus

    Find.FindStatus getFindStatus()

### waitForSearchComplete

    void waitForSearchComplete()

### reset

    void reset()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.